New test case for sorting
authorDennis Schafroth <dennis@indexdata.com>
Tue, 18 Sep 2012 15:44:51 +0000 (17:44 +0200)
committerDennis Schafroth <dennis@indexdata.com>
Tue, 18 Sep 2012 15:44:51 +0000 (17:44 +0200)
14 files changed:
test/test_sort.cfg [new file with mode: 0644]
test/test_sort.sh [new file with mode: 0755]
test/test_sort.urls [new file with mode: 0644]
test/test_sort_1.res [new file with mode: 0644]
test/test_sort_10.res [new file with mode: 0644]
test/test_sort_2.res [new file with mode: 0644]
test/test_sort_3.res [new file with mode: 0644]
test/test_sort_4.res [new file with mode: 0644]
test/test_sort_5.res [new file with mode: 0644]
test/test_sort_6.res [new file with mode: 0644]
test/test_sort_7.res [new file with mode: 0644]
test/test_sort_8.res [new file with mode: 0644]
test/test_sort_9.res [new file with mode: 0644]
test/test_sort_settings.xml [new file with mode: 0644]

diff --git a/test/test_sort.cfg b/test/test_sort.cfg
new file mode 100644 (file)
index 0000000..74f0fc8
--- /dev/null
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<pazpar2 xmlns="http://www.indexdata.com/pazpar2/1.0">
+  <!-- Used by test_solr.sh -->
+  <server>
+    <listen port="9763"/>
+    
+    <!-- same as hardcoded rule -->
+    <icu_chain id="facet" locale="en">
+      <transliterate>[[:WhiteSpace:][,.!;]]* } [$] > ;</transliterate>
+    </icu_chain>
+
+    
+    <service>
+      <metadata name="url" merge="unique"/>
+      <metadata name="title" brief="yes" sortkey="skiparticle" merge="longest" rank="6" mergekey="required" />
+      <metadata name="title-remainder" brief="yes" merge="longest" rank="5"/>
+      <metadata name="isbn"/>
+      <metadata name="date" brief="yes" sortkey="numeric" type="year" merge="range"
+               termlist="yes"/>
+      <metadata name="author" brief="yes" termlist="yes" merge="longest" rank="2" mergekey="optional" />
+      <metadata name="subject" merge="unique" termlist="yes" rank="3"/>
+      <metadata name="id"/>
+      <metadata name="lccn" merge="unique"/>
+      <metadata name="description" brief="yes" merge="longest" rank="3"/>
+
+      <metadata name="medium" brief="yes" merge="longest" mergekey="optional" termlist="yes"/>      
+      <metadata name="score" brief="yes"/>
+
+      <metadata name="test-usersetting" brief="yes" setting="postproc"/>
+      <metadata name="test" setting="parameter"/>
+      <metadata name="test-usersetting-2" brief="yes"/>      
+    </service>
+
+  </server>
+
+</pazpar2>
+<!-- Keep this comment at the end of the file
+     Local variables:
+     mode: nxml
+     End:
+-->
diff --git a/test/test_sort.sh b/test/test_sort.sh
new file mode 100755 (executable)
index 0000000..6ef605a
--- /dev/null
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+# srcdir might be set by make
+srcdir=${srcdir:-"."}
+
+# Using test solr target opencontent-solr
+# 
+${srcdir}/run_pazpar2.sh test_sort
+E=$?
+
+#kill `cat ztest.pid`
+#rm ztest.pid
+exit $E
+
+# Local Variables:
+# mode:shell-script
+# sh-indentation: 2
+# sh-basic-offset: 4
+# End:
diff --git a/test/test_sort.urls b/test/test_sort.urls
new file mode 100644 (file)
index 0000000..34e458b
--- /dev/null
@@ -0,0 +1,10 @@
+http://localhost:9763/search.pz2?session=1&command=init
+test_sort_settings.xml http://localhost:9763/search.pz2?session=1&command=settings
+http://localhost:9763/search.pz2?session=1&command=search&query=water
+3 http://localhost:9763/search.pz2?session=1&command=show
+http://localhost:9763/search.pz2?session=1&command=bytarget
+http://localhost:9763/search.pz2?session=1&command=termlist&name=xtargets%2Csubject%2Cauthor%2Cdate%2Cmedium
+http://localhost:9763/search.pz2?session=1&command=search&query=water&sort=position:1
+http://localhost:9763/search.pz2?session=1&command=show&block=prefered&sort=position:1
+http://localhost:9763/search.pz2?session=1&command=show&start=20&block=prefered&sort=position:1
+http://localhost:9763/search.pz2?session=1&command=show&start=40&block=prefered&sort=position:1
diff --git a/test/test_sort_1.res b/test/test_sort_1.res
new file mode 100644 (file)
index 0000000..c09ee34
--- /dev/null
@@ -0,0 +1,3 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<init><status>OK</status><session>1</session><protocol>1</protocol><keepAlive>50000</keepAlive>
+</init>
\ No newline at end of file
diff --git a/test/test_sort_10.res b/test/test_sort_10.res
new file mode 100644 (file)
index 0000000..9ac37aa
--- /dev/null
@@ -0,0 +1,325 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<show><status>OK</status>
+<activeclients>0</activeclients>
+<merged>195</merged>
+<total>1995</total>
+<start>40</start>
+<num>20</num>
+<hit>
+
+<md-title>Proceedings, Seminar on Water Management Practices in Kerala, held on 11-12 October 1980 at Calicut</md-title>
+<md-date>1980</md-date>
+<md-description>&quot;Published by Education and Extension Division for Centre for Water Resources Development and Management&quot;--T.p. verso</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="3328957420">
+<md-title>Proceedings, Seminar on Water Management Practices in Kerala, held on 11-12 October 1980 at Calicut</md-title>
+<md-date>1980</md-date>
+<md-description>&quot;Published by Education and Extension Division for Centre for Water Resources Development and Management&quot;--T.p. verso</md-description>
+<md-medium>book</md-medium>
+<md-score>1.8129189</md-score></location>
+<recid>content: title proceedings seminar on water management practices in kerala held on october at calicut medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water</md-title>
+<md-date>2000</md-date>
+<md-author>Grant, Pamela</md-author>
+<md-description>Examines major environmental issues surrounding water, giving examples of attempts to solve global problems and sources for more information</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="648602593">
+<md-title>Water</md-title>
+<md-date>2000</md-date>
+<md-author>Grant, Pamela</md-author>
+<md-description>Includes index</md-description>
+<md-description>Examines major environmental issues surrounding water, giving examples of attempts to solve global problems and sources for more information</md-description>
+<md-medium>book</md-medium>
+<md-score>1.8037393</md-score></location>
+<recid>content: title water author grant pamela medium book</recid>
+</hit>
+<hit>
+
+<md-title>Annotated bibliography for Lesotho water resources management</md-title>
+<md-date>1996</md-date>
+<md-author>Ambrose, David</md-author>
+<md-description>&quot;The original of this bibliography was published as Annex Q ... as one of the seven volumes of the Water resources management : policy and strategies study.&quot;</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2263215062">
+<md-title>Annotated bibliography for Lesotho water resources management</md-title>
+<md-date>1996</md-date>
+<md-author>Ambrose, David</md-author>
+<md-description>&quot;The original of this bibliography was published as Annex Q ... as one of the seven volumes of the Water resources management : policy and strategies study.&quot;</md-description>
+<md-medium>book</md-medium>
+<md-score>1.8037393</md-score></location>
+<recid>content: title annotated bibliography for lesotho water resources management author ambrose david medium book</recid>
+</hit>
+<hit>
+
+<md-title>Hydropolitics in the West Bank and Gaza Strip</md-title>
+<md-date>1999</md-date>
+<md-author>Trottier, Julie</md-author>
+<md-description>Translation of thesis (Ph.D.)--Université catholique de Louvain, 1999</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="3877827531">
+<md-title>Hydropolitics in the West Bank and Gaza Strip</md-title>
+<md-date>1999</md-date>
+<md-author>Trottier, Julie</md-author>
+<md-description>Translation of thesis (Ph.D.)--Université catholique de Louvain, 1999</md-description>
+<md-medium>book</md-medium>
+<md-score>1.8037393</md-score></location>
+<recid>content: title hydropolitics in the west bank and gaza strip author trottier julie medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water management &amp; conservation assistance programs directory</md-title>
+<md-date>1999</md-date>
+<md-description>&quot;June, 1999.&quot;</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1197472704">
+<md-title>Water management &amp; conservation assistance programs directory</md-title>
+<md-date>1999</md-date>
+<md-description>Cover title</md-description>
+<md-description>&quot;June, 1999.&quot;</md-description>
+<md-medium>book</md-medium>
+<md-score>1.8037393</md-score></location>
+<recid>content: title water management conservation assistance programs directory medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water resources of the Housatonic River Basin</md-title>
+<md-date>1999</md-date>
+<md-description>&quot;Water use and hydrology&quot;--Cover</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2812085173">
+<md-title>Water resources of the Housatonic River Basin</md-title>
+<md-date>1999</md-date>
+<md-description>&quot;May 1999.&quot;</md-description>
+<md-description>&quot;Water use and hydrology&quot;--Cover</md-description>
+<md-medium>book</md-medium>
+<md-score>1.8037393</md-score></location>
+<recid>content: title water resources of the housatonic river basin medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water Conservation Field Services Program</md-title>
+<md-title-remainder>overview 2000</md-title-remainder>
+<md-date>2000</md-date>
+<md-description>&quot;March 2000.&quot;</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="131730346">
+<md-title>Water Conservation Field Services Program</md-title>
+<md-title-remainder>overview 2000</md-title-remainder>
+<md-date>2000</md-date>
+<md-description>&quot;March 2000.&quot;</md-description>
+<md-medium>book</md-medium>
+<md-score>1.8037393</md-score></location>
+<recid>content: title water conservation field services program medium book</recid>
+</hit>
+<hit>
+
+<md-title>Joint hearing of the Senate Committee on Agriculture and Water Resources and Assembly Committee on Water, Parks and Wildlife</md-title>
+<md-title-remainder>the State&apos;s year 2000 water supply operations plan</md-title-remainder>
+<md-date>2000</md-date>
+<md-description>&quot;February 1, 2000.&quot;</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1746342815">
+<md-title>Joint hearing of the Senate Committee on Agriculture and Water Resources and Assembly Committee on Water, Parks and Wildlife</md-title>
+<md-title-remainder>the State&apos;s year 2000 water supply operations plan</md-title-remainder>
+<md-date>2000</md-date>
+<md-description>Cover title</md-description>
+<md-description>&quot;February 1, 2000.&quot;</md-description>
+<md-medium>book</md-medium>
+<md-score>1.8037393</md-score></location>
+<recid>content: title joint hearing of the senate committee on agriculture and water resources and assembly committee on water parks and wildlife medium book</recid>
+</hit>
+<hit>
+
+<md-title>Advanced potable water treatment technology</md-title>
+<md-date>1998</md-date>
+<md-author>Jones, Michelle</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="3360955284">
+<md-title>Advanced potable water treatment technology</md-title>
+<md-date>1998</md-date>
+<md-author>Jones, Michelle</md-author>
+<md-medium>book</md-medium>
+<md-score>1.8037393</md-score></location>
+<recid>content: title advanced potable water treatment technology author jones michelle medium book</recid>
+</hit>
+<hit>
+
+<md-title>Women and water management</md-title>
+<md-title-remainder>the Latin American experience</md-title-remainder>
+<md-date>2000</md-date>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="680600457">
+<md-title>Women and water management</md-title>
+<md-title-remainder>the Latin American experience</md-title-remainder>
+<md-date>2000</md-date>
+<md-medium>book</md-medium>
+<md-score>1.8037393</md-score></location>
+<recid>content: title women and water management medium book</recid>
+</hit>
+<hit>
+
+<md-title>Report on the investigations into the purification of the Ohio River water</md-title>
+<md-title-remainder>at Louisville, Kentucky, made to the president and directors of the Louisville water company</md-title-remainder>
+<md-date>1898</md-date>
+<md-author>Fuller, George Warrren</md-author>
+<md-description>Published under agreement with the directors</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2295212926">
+<md-title>Report on the investigations into the purification of the Ohio River water</md-title>
+<md-title-remainder>at Louisville, Kentucky, made to the president and directors of the Louisville water company</md-title-remainder>
+<md-date>1898</md-date>
+<md-author>Fuller, George Warrren</md-author>
+<md-description>Published under agreement with the directors</md-description>
+<md-medium>book</md-medium>
+<md-score>1.8037393</md-score></location>
+<recid>content: title report on the investigations into the purification of the ohio river water author fuller george warrren medium book</recid>
+</hit>
+<hit>
+
+<md-title>The water hole</md-title>
+<md-date>2001</md-date>
+<md-author>Base, Graeme</md-author>
+<md-description>As ever growing numbers of animals visit a watering hole, introducing the numbers from one to ten, the water dwindles</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="3909825395">
+<md-title>The water hole</md-title>
+<md-date>2001</md-date>
+<md-author>Base, Graeme</md-author>
+<md-description>As ever growing numbers of animals visit a watering hole, introducing the numbers from one to ten, the water dwindles</md-description>
+<md-medium>book</md-medium>
+<md-score>1.7852391</md-score></location>
+<recid>content: title the water hole author base graeme medium book</recid>
+</hit>
+<hit>
+
+<md-title>Sharing water</md-title>
+<md-title-remainder>irrigation and water management in the Hindukush, Karakoram, Himalaya</md-title-remainder>
+<md-date>2000</md-date>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1229470568">
+<md-title>Sharing water</md-title>
+<md-title-remainder>irrigation and water management in the Hindukush, Karakoram, Himalaya</md-title-remainder>
+<md-date>2000</md-date>
+<md-medium>book</md-medium>
+<md-score>1.7852391</md-score></location>
+<recid>content: title sharing water medium book</recid>
+</hit>
+<hit>
+
+<md-title>Wading into Montana water rights</md-title>
+<md-date>1997</md-date>
+<md-author>Westesen, Gerald L</md-author>
+<md-description>&quot;July 31, 1997.&quot;</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2844083037">
+<md-title>Wading into Montana water rights</md-title>
+<md-date>1997</md-date>
+<md-author>Westesen, Gerald L</md-author>
+<md-description>Cover title</md-description>
+<md-description>&quot;July 31, 1997.&quot;</md-description>
+<md-medium>book</md-medium>
+<md-score>1.7852391</md-score></location>
+<recid>content: title wading into montana water rights author westesen gerald l medium book</recid>
+</hit>
+<hit>
+
+<md-title>Assessment of water pollution in Calicut city with special reference to Cannoly canal</md-title>
+<md-title-remainder>final report</md-title-remainder>
+<md-date>1996</md-date>
+<md-description>&quot;Funded by: Department of Science, Technology, and Environment, Government of Kerala.&quot;</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="163728210">
+<md-title>Assessment of water pollution in Calicut city with special reference to Cannoly canal</md-title>
+<md-title-remainder>final report</md-title-remainder>
+<md-date>1996</md-date>
+<md-description>&quot;Funded by: Department of Science, Technology, and Environment, Government of Kerala.&quot;</md-description>
+<md-medium>book</md-medium>
+<md-score>1.7852391</md-score></location>
+<recid>content: title assessment of water pollution in calicut city with special reference to cannoly canal medium book</recid>
+</hit>
+<hit>
+
+<md-title>Rural drinking water supply in India</md-title>
+<md-title-remainder>issues and strategies</md-title-remainder>
+<md-date>2000</md-date>
+<md-author>Das, Keshab</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1778340679">
+<md-title>Rural drinking water supply in India</md-title>
+<md-title-remainder>issues and strategies</md-title-remainder>
+<md-date>2000</md-date>
+<md-author>Das, Keshab</md-author>
+<md-medium>book</md-medium>
+<md-score>1.7852391</md-score></location>
+<recid>content: title rural drinking water supply in india author das keshab medium book</recid>
+</hit>
+<hit>
+
+<md-title>Travel time, user rate &amp; cost of supply</md-title>
+<md-title-remainder>drinking water in rural Kerala, India</md-title-remainder>
+<md-date>1996</md-date>
+<md-author>Pushpangadan, K</md-author>
+<md-description>With reference to India</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="3392953148">
+<md-title>Travel time, user rate &amp; cost of supply</md-title>
+<md-title-remainder>drinking water in rural Kerala, India</md-title-remainder>
+<md-date>1996</md-date>
+<md-author>Pushpangadan, K</md-author>
+<md-description>With reference to India</md-description>
+<md-medium>book</md-medium>
+<md-score>1.7852391</md-score></location>
+<recid>content: title travel time user rate cost of supply author pushpangadan k medium book</recid>
+</hit>
+<hit>
+
+<md-title>Promoting small water harvesting structures in dryland regions</md-title>
+<md-title-remainder>a case study of the farm ponds scheme in Gujarat</md-title-remainder>
+<md-date>2000</md-date>
+<md-author>Shah, Amita</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="712598321">
+<md-title>Promoting small water harvesting structures in dryland regions</md-title>
+<md-title-remainder>a case study of the farm ponds scheme in Gujarat</md-title-remainder>
+<md-date>2000</md-date>
+<md-author>Shah, Amita</md-author>
+<md-medium>book</md-medium>
+<md-score>1.7852391</md-score></location>
+<recid>content: title promoting small water harvesting structures in dryland regions author shah amita medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water supply</md-title>
+<md-title-remainder>A student&apos;s handbook on the conditions governing the selection of sources and the distribution of water</md-title-remainder>
+<md-date>1903</md-date>
+<md-author>Middleton, Reginald Empson</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2327210790">
+<md-title>Water supply</md-title>
+<md-title-remainder>A student&apos;s handbook on the conditions governing the selection of sources and the distribution of water</md-title-remainder>
+<md-date>1903</md-date>
+<md-author>Middleton, Reginald Empson</md-author>
+<md-medium>book</md-medium>
+<md-score>1.7852391</md-score></location>
+<recid>content: title water supply author middleton reginald empson medium book</recid>
+</hit>
+<hit>
+
+<md-title>The purification of public water supplies</md-title>
+<md-date>1898</md-date>
+<md-author>Hill, John Willmuth</md-author>
+<md-description>Microfilmed for preservationDNLM</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="3941823259">
+<md-title>The purification of public water supplies</md-title>
+<md-date>1898</md-date>
+<md-author>Hill, John Willmuth</md-author>
+<md-description>Microfilmed for preservationDNLM</md-description>
+<md-medium>book</md-medium>
+<md-score>1.7852391</md-score></location>
+<recid>content: title the purification of public water supplies author hill john willmuth medium book</recid>
+</hit>
+</show>
\ No newline at end of file
diff --git a/test/test_sort_2.res b/test/test_sort_2.res
new file mode 100644 (file)
index 0000000..42534e3
--- /dev/null
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<settings><status>OK</status></settings>
\ No newline at end of file
diff --git a/test/test_sort_3.res b/test/test_sort_3.res
new file mode 100644 (file)
index 0000000..ab63fe6
--- /dev/null
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<search><status>OK</status></search>
\ No newline at end of file
diff --git a/test/test_sort_4.res b/test/test_sort_4.res
new file mode 100644 (file)
index 0000000..7a0baea
--- /dev/null
@@ -0,0 +1,385 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<show><status>OK</status>
+<activeclients>0</activeclients>
+<merged>195</merged>
+<total>1995</total>
+<start>0</start>
+<num>20</num>
+<hit>
+
+<md-title>Water</md-title>
+<md-date>1999</md-date>
+<md-author>De Villiers, Marq</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="488613273">
+<md-title>Water</md-title>
+<md-date>1999</md-date>
+<md-author>De Villiers, Marq</md-author>
+<md-medium>book</md-medium>
+<md-score>2.1864624</md-score></location>
+<relevance>34851</relevance>
+<recid>content: title water author de villiers marq medium book</recid>
+</hit>
+<hit>
+
+<md-title>Potable water and methods of detecting impurities</md-title>
+<md-date>1899-1906</md-date>
+<md-author>Baker, M. N</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1810338543">
+<md-title>Potable water and methods of detecting impurities</md-title>
+<md-date>1906</md-date>
+<md-author>Baker, M. N</md-author>
+<md-medium>book</md-medium>
+<md-score>1.7852391</md-score></location>
+<location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1261468432">
+<md-title>Potable water and methods of detecting impurities</md-title>
+<md-date>1899</md-date>
+<md-author>Baker, M. N</md-author>
+<md-medium>book</md-medium>
+<md-score>1.7852391</md-score></location>
+<count>2</count>
+<relevance>32470</relevance>
+<recid>content: title potable water and methods of detecting impurities author baker m n medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water</md-title>
+<md-date>2000</md-date>
+<md-author>Majeed, Abdul</md-author>
+<md-description>&quot;Balochistan conservation strategy background paper&quot;--T.p</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1037483384">
+<md-title>Water</md-title>
+<md-date>2000</md-date>
+<md-author>Majeed, Abdul</md-author>
+<md-description>&quot;Balochistan conservation strategy background paper&quot;--T.p</md-description>
+<md-medium>book</md-medium>
+<md-score>2.0614164</md-score></location>
+<relevance>30305</relevance>
+<recid>content: title water author majeed abdul medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water</md-title>
+<md-date>2000</md-date>
+<md-author>Grant, Pamela</md-author>
+<md-description>Examines major environmental issues surrounding water, giving examples of attempts to solve global problems and sources for more information</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="648602593">
+<md-title>Water</md-title>
+<md-date>2000</md-date>
+<md-author>Grant, Pamela</md-author>
+<md-description>Includes index</md-description>
+<md-description>Examines major environmental issues surrounding water, giving examples of attempts to solve global problems and sources for more information</md-description>
+<md-medium>book</md-medium>
+<md-score>1.8037393</md-score></location>
+<relevance>27753</relevance>
+<recid>content: title water author grant pamela medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water law</md-title>
+<md-date>2000</md-date>
+<md-author>Fisher, D. E</md-author>
+<md-description>Includes index</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2652095853">
+<md-title>Water law</md-title>
+<md-date>2000</md-date>
+<md-author>Fisher, D. E</md-author>
+<md-description>Includes index</md-description>
+<md-medium>book</md-medium>
+<md-score>2.0614164</md-score></location>
+<relevance>27274</relevance>
+<recid>content: title water law author fisher d e medium book</recid>
+</hit>
+<hit>
+
+<md-title>A Primer on fresh water</md-title>
+<md-title-remainder>questions and answers</md-title-remainder>
+<md-date>2000</md-date>
+<md-description>Issued also in French under title: Notions élémentaires sur l&apos;eau douce : questions et réponses</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2684093717">
+<md-title>A Primer on fresh water</md-title>
+<md-title-remainder>questions and answers</md-title-remainder>
+<md-date>2000</md-date>
+<md-description>Issued also in French under title: Notions élémentaires sur l&apos;eau douce : questions et réponses</md-description>
+<md-description>Includes index</md-description>
+<md-medium>book</md-medium>
+<md-score>2.016642</md-score></location>
+<relevance>26365</relevance>
+<recid>content: title a primer on fresh water medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water and water supplies</md-title>
+<md-date>1901</md-date>
+<md-author>Thresh, John Clough</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="520611137">
+<md-title>Water and water supplies</md-title>
+<md-date>1901</md-date>
+<md-author>Thresh, John Clough</md-author>
+<md-medium>book</md-medium>
+<md-score>2.0614164</md-score></location>
+<relevance>22729</relevance>
+<recid>content: title water and water supplies author thresh john clough medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water quality assessment of the State Water Project, 1996-97</md-title>
+<md-date>1999-2000</md-date>
+<md-description>&quot;September 1999.&quot;</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1069481248">
+<md-title>Water quality assessment of the State Water Project, 1998-99</md-title>
+<md-date>2000</md-date>
+<md-description>Cover title</md-description>
+<md-description>&quot;July 2000.&quot;</md-description>
+<md-medium>book</md-medium>
+<md-score>2.016642</md-score></location>
+<location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="3749836075">
+<md-title>Water quality assessment of the State Water Project, 1996-97</md-title>
+<md-date>1999</md-date>
+<md-description>Cover title</md-description>
+<md-description>&quot;September 1999.&quot;</md-description>
+<md-medium>book</md-medium>
+<md-score>2.016642</md-score></location>
+<count>2</count>
+<relevance>22729</relevance>
+<recid>content: title water quality assessment of the state water project medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water-supply</md-title>
+<md-title-remainder>(Considered principally from a sanitary standpoint.)</md-title-remainder>
+<md-date>1896</md-date>
+<md-author>Mason, William Pitt</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2359208654">
+<md-title>Water-supply</md-title>
+<md-title-remainder>(Considered principally from a sanitary standpoint.)</md-title-remainder>
+<md-date>1896</md-date>
+<md-author>Mason, William Pitt</md-author>
+<md-medium>book</md-medium>
+<md-score>1.7852391</md-score></location>
+<relevance>22729</relevance>
+<recid>content: title water supply author mason william pitt medium book</recid>
+</hit>
+<hit>
+
+<md-title>The law of waters and water rights</md-title>
+<md-title-remainder>international, national, state, municipal, and individual, including irrigation, drainage, and municipal water supply</md-title-remainder>
+<md-date>1904</md-date>
+<md-author>Farnham, Henry P</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1682347087">
+<md-title>The law of waters and water rights</md-title>
+<md-title-remainder>international, national, state, municipal, and individual, including irrigation, drainage, and municipal water supply</md-title-remainder>
+<md-date>1904</md-date>
+<md-author>Farnham, Henry P</md-author>
+<md-medium>book</md-medium>
+<md-score>1.8935319</md-score></location>
+<relevance>21946</relevance>
+<recid>content: title the law of waters and water rights author farnham henry p medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water, in press, 1998</md-title>
+<md-title-remainder>an index of news items on water resources selected from leading news papers</md-title-remainder>
+<md-date>1998-1999</md-date>
+<md-description>With reference to India</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1325464160">
+<md-title>Water, in press, 1998</md-title>
+<md-title-remainder>an index to news items on water resources selected from leading news papers</md-title-remainder>
+<md-date>1999</md-date>
+<md-description>Includes index</md-description>
+<md-medium>book</md-medium>
+<md-score>1.6872437</md-score></location>
+<location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2167221470">
+<md-title>Water in press, 1997</md-title>
+<md-title-remainder>an index of news items on water resources selected from leading news papers</md-title-remainder>
+<md-date>1998</md-date>
+<md-description>Includes index</md-description>
+<md-description>With reference to India</md-description>
+<md-medium>book</md-medium>
+<md-score>1.9282786</md-score></location>
+<count>2</count>
+<relevance>20514</relevance>
+<recid>content: title water in press medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water-power</md-title>
+<md-title-remainder>an outline of the development and application of the energy of flowing water</md-title-remainder>
+<md-date>1900-1901</md-date>
+<md-author>Frizell, Joseph P</md-author>
+<md-description>Original imprint 1901, corrected to 1900</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2322304367">
+<md-title>Water-power</md-title>
+<md-title-remainder>an outline of the development and application of the energy of flowing water</md-title-remainder>
+<md-date>1901</md-date>
+<md-author>Frizell, Joseph P</md-author>
+<md-medium>book</md-medium>
+<md-score>1.4576416</md-score></location>
+<location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="707691898">
+<md-title>Water-power</md-title>
+<md-title-remainder>an outline of the development and application of the energy of flowing water</md-title-remainder>
+<md-date>1900</md-date>
+<md-author>Frizell, Joseph P</md-author>
+<md-description>Original imprint 1901, corrected to 1900</md-description>
+<md-medium>book</md-medium>
+<md-score>1.4576416</md-score></location>
+<count>2</count>
+<relevance>20514</relevance>
+<recid>content: title water power author frizell joseph p medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water-supply engineering</md-title>
+<md-title-remainder>The designing, construction, and maintenance of water-supply systems, both city and irrigation</md-title-remainder>
+<md-date>1903-1909</md-date>
+<md-author>Folwell, Amory Prescott</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="3196059541">
+<md-title>Water-supply engineering</md-title>
+<md-title-remainder>The designing, construction, and maintenance of water-supply systems, both city and irrigation</md-title-remainder>
+<md-date>1909</md-date>
+<md-author>Folwell, Amory Prescott</md-author>
+<md-medium>book</md-medium>
+<md-score>1.5620842</md-score></location>
+<location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1000579097">
+<md-title>Water-supply engineering</md-title>
+<md-title-remainder>The designing, construction, and maintenance of water-supply systems, both city and irrigation</md-title-remainder>
+<md-date>1903</md-date>
+<md-author>Folwell, Amory Prescott</md-author>
+<md-medium>book</md-medium>
+<md-score>1.5620842</md-score></location>
+<count>2</count>
+<relevance>20514</relevance>
+<recid>content: title water supply engineering author folwell amory prescott medium book</recid>
+</hit>
+<hit>
+
+<md-title>Regulations on the disposal of arsenic residuals from drinking water treatment plants</md-title>
+<md-date>2000</md-date>
+<md-description>&quot;EPA Contract 68-C7-0011, work assignment 0-38.&quot;</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="99732482">
+<md-title>Regulations on the disposal of arsenic residuals from drinking water treatment plants</md-title>
+<md-date>2000</md-date>
+<md-description>&quot;May 2000.&quot;</md-description>
+<md-description>&quot;EPA/600/R-00/025.&quot;</md-description>
+<md-description>&quot;EPA Contract 68-C7-0011, work assignment 0-38.&quot;</md-description>
+<md-medium>book</md-medium>
+<md-score>1.8129189</md-score></location>
+<relevance>20456</relevance>
+<recid>content: title regulations on the disposal of arsenic residuals from drinking water treatment plants medium book</recid>
+</hit>
+<hit>
+
+<md-title>A guide to Montana water quality regulation</md-title>
+<md-date>1997</md-date>
+<md-author>Bryan, Michelle</md-author>
+<md-description>&quot;A joint publication of Legislative Environmental Policy Office, Environmental Quality Council [and] Montana University System, Water Center&quot;</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="291719666">
+<md-title>A guide to Montana water quality regulation</md-title>
+<md-date>1997</md-date>
+<md-author>Bryan, Michelle</md-author>
+<md-description>&quot;A joint publication of Legislative Environmental Policy Office, Environmental Quality Council [and] Montana University System, Water Center&quot;</md-description>
+<md-medium>book</md-medium>
+<md-score>1.6398468</md-score></location>
+<relevance>19800</relevance>
+<recid>content: title a guide to montana water quality regulation author bryan michelle medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water technology management</md-title>
+<md-date>2001</md-date>
+<md-description>Collection of articles with reference to India</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="3200965964">
+<md-title>Water technology management</md-title>
+<md-date>2001</md-date>
+<md-description>Collection of articles with reference to India</md-description>
+<md-medium>book</md-medium>
+<md-score>2.0614164</md-score></location>
+<relevance>19698</relevance>
+<recid>content: title water technology management medium book</recid>
+</hit>
+<hit>
+
+<md-title>Aquatic habitat indicators and their application to water quality objectives within the Clean Water Act</md-title>
+<md-date>1999</md-date>
+<md-author>Bauer, Steve</md-author>
+<md-description>&quot;This document was developed for US Environmental Protection Agency, Region 10, Seattle Washington, with the Idaho Water Resources Institute, University of Idaho.&quot;</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="67734618">
+<md-title>Aquatic habitat indicators and their application to water quality objectives within the Clean Water Act</md-title>
+<md-date>1999</md-date>
+<md-author>Bauer, Steve</md-author>
+<md-description>&quot;This document was developed for US Environmental Protection Agency, Region 10, Seattle Washington, with the Idaho Water Resources Institute, University of Idaho.&quot;</md-description>
+<md-medium>book</md-medium>
+<md-score>1.8935319</md-score></location>
+<relevance>19525</relevance>
+<recid>content: title aquatic habitat indicators and their application to water quality objectives within the clean water act author bauer steve medium book</recid>
+</hit>
+<hit>
+
+<md-title>An empirical analysis of water temperature and dissolved oxygen conditions in the Red Deer River</md-title>
+<md-date>1997</md-date>
+<md-author>Saffran, Karen Anita</md-author>
+<md-description>&quot;March 1997.&quot;</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2908078765">
+<md-title>An empirical analysis of water temperature and dissolved oxygen conditions in the Red Deer River</md-title>
+<md-date>1997</md-date>
+<md-author>Saffran, Karen Anita</md-author>
+<md-description>&quot;March 1997.&quot;</md-description>
+<md-medium>book</md-medium>
+<md-score>1.7285503</md-score></location>
+<relevance>19395</relevance>
+<recid>content: title an empirical analysis of water temperature and dissolved oxygen conditions in the red deer river author saffran karen anita medium book</recid>
+</hit>
+<hit>
+
+<md-title>Surface water quality monitoring procedures manual</md-title>
+<md-date>1999</md-date>
+<md-description>&quot;GI-252&quot;--Cover</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2780087309">
+<md-title>Surface water quality monitoring procedures manual</md-title>
+<md-date>1999</md-date>
+<md-description>&quot;June 1999.&quot;</md-description>
+<md-description>&quot;GI-252&quot;--Cover</md-description>
+<md-medium>book</md-medium>
+<md-score>1.8129189</md-score></location>
+<relevance>18940</relevance>
+<recid>content: title surface water quality monitoring procedures manual medium book</recid>
+</hit>
+<hit>
+
+<md-title>International Conference on Management of Drinking Water Resources, Chennai, December 3-5, 1997</md-title>
+<md-title-remainder>proceedings</md-title-remainder>
+<md-date>1997</md-date>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2748089445">
+<md-title>International Conference on Management of Drinking Water Resources, Chennai, December 3-5, 1997</md-title>
+<md-title-remainder>proceedings</md-title-remainder>
+<md-date>1997</md-date>
+<md-medium>book</md-medium>
+<md-score>1.8935319</md-score></location>
+<relevance>18486</relevance>
+<recid>content: title international conference on management of drinking water resources chennai december medium book</recid>
+</hit>
+</show>
\ No newline at end of file
diff --git a/test/test_sort_5.res b/test/test_sort_5.res
new file mode 100644 (file)
index 0000000..67dffe0
--- /dev/null
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<bytarget><status>OK</status>
+<target><id>LOC Solr Test</id>
+<name>LOC Solr Test</name>
+<hits>1995</hits>
+<diagnostic>0</diagnostic>
+<records>200</records>
+<state>Client_Idle</state>
+</target></bytarget>
\ No newline at end of file
diff --git a/test/test_sort_6.res b/test/test_sort_6.res
new file mode 100644 (file)
index 0000000..294fe36
--- /dev/null
@@ -0,0 +1,68 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<termlist><activeclients>0</activeclients>
+<list name="xtargets">
+<term>
+<id>LOC Solr Test</id>
+<name>LOC Solr Test</name>
+<frequency>1995</frequency>
+<state>Client_Idle</state>
+<diagnostic>0</diagnostic>
+</term>
+</list>
+<list name="subject">
+<term><name>Water-supply</name><frequency>185</frequency></term>
+<term><name>Water</name><frequency>169</frequency></term>
+<term><name>Groundwater</name><frequency>94</frequency></term>
+<term><name>Water resources development</name><frequency>93</frequency></term>
+<term><name>Water quality</name><frequency>87</frequency></term>
+<term><name>Mineral waters</name><frequency>52</frequency></term>
+<term><name>Water quality management</name><frequency>50</frequency></term>
+<term><name>United States</name><frequency>43</frequency></term>
+<term><name>Irrigation</name><frequency>33</frequency></term>
+<term><name>N.Y</name><frequency>28</frequency></term>
+<term><name>Hydraulic engineering</name><frequency>24</frequency></term>
+<term><name>Geology</name><frequency>23</frequency></term>
+<term><name>U.S</name><frequency>23</frequency></term>
+<term><name>Groundwater flow</name><frequency>22</frequency></term>
+<term><name>Birds</name><frequency>21</frequency></term>
+</list>
+<list name="author">
+<term><name>Waters, Clara Erskine Clement</name><frequency>9</frequency></term>
+<term><name>Waters, Henry F</name><frequency>8</frequency></term>
+<term><name>Moorman, J. J</name><frequency>7</frequency></term>
+<term><name>Waters, Thomas Franklin</name><frequency>6</frequency></term>
+<term><name>Basak, P</name><frequency>5</frequency></term>
+<term><name>Bergren, Lisa Tawn</name><frequency>5</frequency></term>
+<term><name>Kingsley, Charles</name><frequency>5</frequency></term>
+<term><name>Tyndall, John</name><frequency>5</frequency></term>
+<term><name>Baldwin, William J</name><frequency>4</frequency></term>
+<term><name>Holme, Charles</name><frequency>4</frequency></term>
+<term><name>James, E. J</name><frequency>4</frequency></term>
+<term><name>Nuttall, Thomas</name><frequency>4</frequency></term>
+<term><name>Walton, George Edward</name><frequency>4</frequency></term>
+<term><name>Wilkins, John H</name><frequency>4</frequency></term>
+<term><name>Arthur, Kay</name><frequency>3</frequency></term>
+</list>
+<list name="date">
+<term><name>2000</name><frequency>411</frequency></term>
+<term><name>1999</name><frequency>318</frequency></term>
+<term><name>1998</name><frequency>90</frequency></term>
+<term><name>2001</name><frequency>87</frequency></term>
+<term><name>1907</name><frequency>50</frequency></term>
+<term><name>1902</name><frequency>46</frequency></term>
+<term><name>1906</name><frequency>43</frequency></term>
+<term><name>1905</name><frequency>39</frequency></term>
+<term><name>1909</name><frequency>39</frequency></term>
+<term><name>1904</name><frequency>36</frequency></term>
+<term><name>1997</name><frequency>35</frequency></term>
+<term><name>1908</name><frequency>33</frequency></term>
+<term><name>1996</name><frequency>32</frequency></term>
+<term><name>1903</name><frequency>30</frequency></term>
+<term><name>1901</name><frequency>29</frequency></term>
+</list>
+<list name="medium">
+<term><name>book</name><frequency>1984</frequency></term>
+<term><name>web</name><frequency>8</frequency></term>
+<term><name>book (electronic)</name><frequency>3</frequency></term>
+</list>
+</termlist>
\ No newline at end of file
diff --git a/test/test_sort_7.res b/test/test_sort_7.res
new file mode 100644 (file)
index 0000000..ab63fe6
--- /dev/null
@@ -0,0 +1,2 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<search><status>OK</status></search>
\ No newline at end of file
diff --git a/test/test_sort_8.res b/test/test_sort_8.res
new file mode 100644 (file)
index 0000000..ec1d55b
--- /dev/null
@@ -0,0 +1,333 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<show><status>OK</status>
+<activeclients>0</activeclients>
+<merged>195</merged>
+<total>1995</total>
+<start>0</start>
+<num>20</num>
+<hit>
+
+<md-title>Water management problems and challenges in India</md-title>
+<md-title-remainder>an analytical review</md-title-remainder>
+<md-date>2000</md-date>
+<md-author>Dinesh Kumar, M</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1554355631">
+<md-title>Water management problems and challenges in India</md-title>
+<md-title-remainder>an analytical review</md-title-remainder>
+<md-date>2000</md-date>
+<md-author>Dinesh Kumar, M</md-author>
+<md-medium>book</md-medium>
+<md-score>2.3047338</md-score></location>
+<recid>content: title water management problems and challenges in india author dinesh kumar m medium book</recid>
+</hit>
+<hit>
+
+<md-title>The magic of water</md-title>
+<md-title-remainder>reflection and transparency at the water&apos;s edge</md-title-remainder>
+<md-date>2000</md-date>
+<md-author>Hochschwender, Ted</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="3168968100">
+<md-title>The magic of water</md-title>
+<md-title-remainder>reflection and transparency at the water&apos;s edge</md-title-remainder>
+<md-date>2000</md-date>
+<md-author>Hochschwender, Ted</md-author>
+<md-medium>book</md-medium>
+<md-score>2.2315488</md-score></location>
+<recid>content: title the magic of water author hochschwender ted medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water</md-title>
+<md-date>1999</md-date>
+<md-author>De Villiers, Marq</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="488613273">
+<md-title>Water</md-title>
+<md-date>1999</md-date>
+<md-author>De Villiers, Marq</md-author>
+<md-medium>book</md-medium>
+<md-score>2.1864624</md-score></location>
+<recid>content: title water author de villiers marq medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water use for public water supply in Michigan, 1998</md-title>
+<md-date>2000</md-date>
+<md-description>&quot;January 3, 2000.&quot;</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2103225742">
+<md-title>Water use for public water supply in Michigan, 1998</md-title>
+<md-date>2000</md-date>
+<md-description>&quot;January 3, 2000.&quot;</md-description>
+<md-medium>book</md-medium>
+<md-score>2.1864624</md-score></location>
+<recid>content: title water use for public water supply in michigan medium book</recid>
+</hit>
+<hit>
+
+<md-title>Report to the IUCN on water demand management country study</md-title>
+<md-title-remainder>Namibia</md-title-remainder>
+<md-date>1999</md-date>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="3717838211">
+<md-title>Report to the IUCN on water demand management country study</md-title>
+<md-title-remainder>Namibia</md-title-remainder>
+<md-date>1999</md-date>
+<md-medium>book</md-medium>
+<md-score>2.115072</md-score></location>
+<recid>content: title report to the iucn on water demand management country study medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water</md-title>
+<md-date>2000</md-date>
+<md-author>Majeed, Abdul</md-author>
+<md-description>&quot;Balochistan conservation strategy background paper&quot;--T.p</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1037483384">
+<md-title>Water</md-title>
+<md-date>2000</md-date>
+<md-author>Majeed, Abdul</md-author>
+<md-description>&quot;Balochistan conservation strategy background paper&quot;--T.p</md-description>
+<md-medium>book</md-medium>
+<md-score>2.0614164</md-score></location>
+<recid>content: title water author majeed abdul medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water law</md-title>
+<md-date>2000</md-date>
+<md-author>Fisher, D. E</md-author>
+<md-description>Includes index</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2652095853">
+<md-title>Water law</md-title>
+<md-date>2000</md-date>
+<md-author>Fisher, D. E</md-author>
+<md-description>Includes index</md-description>
+<md-medium>book</md-medium>
+<md-score>2.0614164</md-score></location>
+<recid>content: title water law author fisher d e medium book</recid>
+</hit>
+<hit>
+
+<md-title>Evaluation and control of water pollution in Bhavani Basin</md-title>
+<md-title-remainder>final report</md-title-remainder>
+<md-date>1998</md-date>
+<md-description>&quot;Funded by Institute for water Studies, Water Resources Organisation (PWD).&quot;</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="4266708322">
+<md-title>Evaluation and control of water pollution in Bhavani Basin</md-title>
+<md-title-remainder>final report</md-title-remainder>
+<md-date>1998</md-date>
+<md-description>&quot;Funded by Institute for water Studies, Water Resources Organisation (PWD).&quot;</md-description>
+<md-description>With reference to India</md-description>
+<md-medium>book</md-medium>
+<md-score>2.0614164</md-score></location>
+<recid>content: title evaluation and control of water pollution in bhavani basin medium book</recid>
+</hit>
+<hit>
+
+<md-title>UNSIA Water Cluster</md-title>
+<md-title-remainder>priorities and strategies for water in Africa</md-title-remainder>
+<md-date>2000</md-date>
+<md-description>&quot;United Nations System-wide Initiative on Africa (UNSIA).&quot;</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1586353495">
+<md-title>UNSIA Water Cluster</md-title>
+<md-title-remainder>priorities and strategies for water in Africa</md-title-remainder>
+<md-date>2000</md-date>
+<md-description>&quot;United Nations System-wide Initiative on Africa (UNSIA).&quot;</md-description>
+<md-medium>book</md-medium>
+<md-score>2.0614164</md-score></location>
+<recid>content: title unsia water cluster medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water technology management</md-title>
+<md-date>2001</md-date>
+<md-description>Collection of articles with reference to India</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="3200965964">
+<md-title>Water technology management</md-title>
+<md-date>2001</md-date>
+<md-description>Collection of articles with reference to India</md-description>
+<md-medium>book</md-medium>
+<md-score>2.0614164</md-score></location>
+<recid>content: title water technology management medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water and water supplies</md-title>
+<md-date>1901</md-date>
+<md-author>Thresh, John Clough</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="520611137">
+<md-title>Water and water supplies</md-title>
+<md-date>1901</md-date>
+<md-author>Thresh, John Clough</md-author>
+<md-medium>book</md-medium>
+<md-score>2.0614164</md-score></location>
+<recid>content: title water and water supplies author thresh john clough medium book</recid>
+</hit>
+<hit>
+
+<md-title>Wonderful water</md-title>
+<md-date>2001</md-date>
+<md-author>Glover, David</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2135223606">
+<md-title>Wonderful water</md-title>
+<md-date>2001</md-date>
+<md-author>Glover, David</md-author>
+<md-medium>book</md-medium>
+<md-score>2.037116</md-score></location>
+<recid>content: title wonderful water author glover david medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water quality assessment of the State Water Project, 1996-97</md-title>
+<md-date>1999-2000</md-date>
+<md-description>&quot;September 1999.&quot;</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1069481248">
+<md-title>Water quality assessment of the State Water Project, 1998-99</md-title>
+<md-date>2000</md-date>
+<md-description>Cover title</md-description>
+<md-description>&quot;July 2000.&quot;</md-description>
+<md-medium>book</md-medium>
+<md-score>2.016642</md-score></location>
+<location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="3749836075">
+<md-title>Water quality assessment of the State Water Project, 1996-97</md-title>
+<md-date>1999</md-date>
+<md-description>Cover title</md-description>
+<md-description>&quot;September 1999.&quot;</md-description>
+<md-medium>book</md-medium>
+<md-score>2.016642</md-score></location>
+<count>2</count>
+<recid>content: title water quality assessment of the state water project medium book</recid>
+</hit>
+<hit>
+
+<md-title>A Primer on fresh water</md-title>
+<md-title-remainder>questions and answers</md-title-remainder>
+<md-date>2000</md-date>
+<md-description>Issued also in French under title: Notions élémentaires sur l&apos;eau douce : questions et réponses</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2684093717">
+<md-title>A Primer on fresh water</md-title>
+<md-title-remainder>questions and answers</md-title-remainder>
+<md-date>2000</md-date>
+<md-description>Issued also in French under title: Notions élémentaires sur l&apos;eau douce : questions et réponses</md-description>
+<md-description>Includes index</md-description>
+<md-medium>book</md-medium>
+<md-score>2.016642</md-score></location>
+<recid>content: title a primer on fresh water medium book</recid>
+</hit>
+<hit>
+
+<md-title>Who governs water?</md-title>
+<md-title-remainder>the politics of water resource management</md-title-remainder>
+<md-date>1999</md-date>
+<md-author>Frey, Hans</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="3738890">
+<md-title>Who governs water?</md-title>
+<md-title-remainder>the politics of water resource management</md-title-remainder>
+<md-date>1999</md-date>
+<md-author>Frey, Hans</md-author>
+<md-medium>book</md-medium>
+<md-score>1.9282786</md-score></location>
+<recid>content: title who governs water author frey hans medium book</recid>
+</hit>
+<hit>
+
+<md-title>1999 wastewater and drinking water user charge survey</md-title>
+<md-date>1999</md-date>
+<md-description>&quot;December, 1999.&quot;</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1618351359">
+<md-title>1999 wastewater and drinking water user charge survey</md-title>
+<md-date>1999</md-date>
+<md-description>Cover title</md-description>
+<md-description>&quot;December, 1999.&quot;</md-description>
+<md-medium>book</md-medium>
+<md-score>1.9282786</md-score></location>
+<recid>content: title wastewater and drinking water user charge survey medium book</recid>
+</hit>
+<hit>
+
+<md-title>Proposition 13</md-title>
+<md-title-remainder>Safe Drinking Water, Clean Water, Watershed Protection, and Flood Protection Act</md-title-remainder>
+<md-date>2000</md-date>
+<md-description>&quot;March 2000.&quot;</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="3232963828">
+<md-title>Proposition 13</md-title>
+<md-title-remainder>Safe Drinking Water, Clean Water, Watershed Protection, and Flood Protection Act</md-title-remainder>
+<md-date>2000</md-date>
+<md-description>&quot;March 2000.&quot;</md-description>
+<md-medium>book</md-medium>
+<md-score>1.9282786</md-score></location>
+<recid>content: title proposition medium book</recid>
+</hit>
+<hit>
+
+<md-title>District water supply plan</md-title>
+<md-date>2000</md-date>
+<md-description>[1] [No special title] -- [2] Appendixes</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="552609001">
+<md-title>District water supply plan</md-title>
+<md-date>2000</md-date>
+<md-description>[1] [No special title] -- [2] Appendixes</md-description>
+<md-medium>book</md-medium>
+<md-score>1.9282786</md-score></location>
+<recid>content: title district water supply plan medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water, in press, 1998</md-title>
+<md-title-remainder>an index of news items on water resources selected from leading news papers</md-title-remainder>
+<md-date>1998-1999</md-date>
+<md-description>With reference to India</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1325464160">
+<md-title>Water, in press, 1998</md-title>
+<md-title-remainder>an index to news items on water resources selected from leading news papers</md-title-remainder>
+<md-date>1999</md-date>
+<md-description>Includes index</md-description>
+<md-medium>book</md-medium>
+<md-score>1.6872437</md-score></location>
+<location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2167221470">
+<md-title>Water in press, 1997</md-title>
+<md-title-remainder>an index of news items on water resources selected from leading news papers</md-title-remainder>
+<md-date>1998</md-date>
+<md-description>Includes index</md-description>
+<md-description>With reference to India</md-description>
+<md-medium>book</md-medium>
+<md-score>1.9282786</md-score></location>
+<count>2</count>
+<recid>content: title water in press medium book</recid>
+</hit>
+<hit>
+
+<md-title>Pahāṛa para pānī</md-title>
+<md-date>1999</md-date>
+<md-author>Ravi, Rājeśa</md-author>
+<md-description>On the effort of conserving rain water for drinking and harvesting; case study of selected villages in Rajasthan, India</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="3781833939">
+<md-title>Pahāṛa para pānī</md-title>
+<md-date>1999</md-date>
+<md-author>Ravi, Rājeśa</md-author>
+<md-description>On the effort of conserving rain water for drinking and harvesting; case study of selected villages in Rajasthan, India</md-description>
+<md-medium>book</md-medium>
+<md-score>1.9282786</md-score></location>
+<recid>content: title paha r a para pa ni author ravi ra jes a medium book</recid>
+</hit>
+</show>
\ No newline at end of file
diff --git a/test/test_sort_9.res b/test/test_sort_9.res
new file mode 100644 (file)
index 0000000..3592466
--- /dev/null
@@ -0,0 +1,299 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<show><status>OK</status>
+<activeclients>0</activeclients>
+<merged>195</merged>
+<total>1995</total>
+<start>20</start>
+<num>20</num>
+<hit>
+
+<md-title>Water protection targets for the year 2005</md-title>
+<md-date>1999</md-date>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1101479112">
+<md-title>Water protection targets for the year 2005</md-title>
+<md-date>1999</md-date>
+<md-medium>book</md-medium>
+<md-score>1.9282786</md-score></location>
+<recid>content: title water protection targets for the year medium book</recid>
+</hit>
+<hit>
+
+<md-title>Improving water utilization from a catchment perspective</md-title>
+<md-date>1998</md-date>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2716091581">
+<md-title>Improving water utilization from a catchment perspective</md-title>
+<md-date>1998</md-date>
+<md-medium>book</md-medium>
+<md-score>1.9282786</md-score></location>
+<recid>content: title improving water utilization from a catchment perspective medium book</recid>
+</hit>
+<hit>
+
+<md-title>Modeling water resources management at the basin level</md-title>
+<md-title-remainder>review and future directions</md-title-remainder>
+<md-date>1999</md-date>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="35736754">
+<md-title>Modeling water resources management at the basin level</md-title>
+<md-title-remainder>review and future directions</md-title-remainder>
+<md-date>1999</md-date>
+<md-medium>book</md-medium>
+<md-score>1.9282786</md-score></location>
+<recid>content: title modeling water resources management at the basin level medium book</recid>
+</hit>
+<hit>
+
+<md-title>Report of the directors of the Boston Water-Power Company to its stockholders, April 24, 1855</md-title>
+<md-date>1855</md-date>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1650349223">
+<md-title>Report of the directors of the Boston Water-Power Company to its stockholders, April 24, 1855</md-title>
+<md-date>1855</md-date>
+<md-medium>book</md-medium>
+<md-score>1.9282786</md-score></location>
+<recid>content: title report of the directors of the boston water power company to its stockholders april medium book</recid>
+</hit>
+<hit>
+
+<md-title>Dividing the waters</md-title>
+<md-title-remainder>the resolution of interstate water conflicts in the United States</md-title-remainder>
+<md-date>2000</md-date>
+<md-author>Sherk, George William</md-author>
+<md-description>Includes index</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="3264961692">
+<md-title>Dividing the waters</md-title>
+<md-title-remainder>the resolution of interstate water conflicts in the United States</md-title-remainder>
+<md-date>2000</md-date>
+<md-author>Sherk, George William</md-author>
+<md-description>Includes index</md-description>
+<md-medium>book</md-medium>
+<md-score>1.9131546</md-score></location>
+<recid>content: title dividing the waters author sherk george william medium book</recid>
+</hit>
+<hit>
+
+<md-title>Fertile ground</md-title>
+<md-title-remainder>nutrient trading&apos;s potential to cost-effectively improve water quality</md-title-remainder>
+<md-date>2000</md-date>
+<md-author>Faeth, Paul</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="584606865">
+<md-title>Fertile ground</md-title>
+<md-title-remainder>nutrient trading&apos;s potential to cost-effectively improve water quality</md-title-remainder>
+<md-date>2000</md-date>
+<md-author>Faeth, Paul</md-author>
+<md-medium>book</md-medium>
+<md-score>1.9131546</md-score></location>
+<recid>content: title fertile ground author faeth paul medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water pollution V</md-title>
+<md-title-remainder>modelling, measuring and prediction</md-title-remainder>
+<md-date>1999</md-date>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2199219334">
+<md-title>Water pollution V</md-title>
+<md-title-remainder>modelling, measuring and prediction</md-title-remainder>
+<md-date>1999</md-date>
+<md-medium>book</md-medium>
+<md-score>1.9131546</md-score></location>
+<recid>content: title water pollution v medium book</recid>
+</hit>
+<hit>
+
+<md-title>Watering the western third</md-title>
+<md-title-remainder>water, land, and community in Western Australia, 1826-1998</md-title-remainder>
+<md-date>1998</md-date>
+<md-author>Powell, J. M</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="3813831803">
+<md-title>Watering the western third</md-title>
+<md-title-remainder>water, land, and community in Western Australia, 1826-1998</md-title-remainder>
+<md-date>1998</md-date>
+<md-author>Powell, J. M</md-author>
+<md-medium>book</md-medium>
+<md-score>1.9131546</md-score></location>
+<recid>content: title watering the western third author powell j m medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water budget of East Maui, Hawaii</md-title>
+<md-date>1999</md-date>
+<md-author>Shade, Patricia J</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1133476976">
+<md-title>Water budget of East Maui, Hawaii</md-title>
+<md-date>1999</md-date>
+<md-author>Shade, Patricia J</md-author>
+<md-medium>book</md-medium>
+<md-score>1.9131546</md-score></location>
+<recid>content: title water budget of east maui hawaii author shade patricia j medium book</recid>
+</hit>
+<hit>
+
+<md-title>International Conference on Management of Drinking Water Resources, Chennai, December 3-5, 1997</md-title>
+<md-title-remainder>proceedings</md-title-remainder>
+<md-date>1997</md-date>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2748089445">
+<md-title>International Conference on Management of Drinking Water Resources, Chennai, December 3-5, 1997</md-title>
+<md-title-remainder>proceedings</md-title-remainder>
+<md-date>1997</md-date>
+<md-medium>book</md-medium>
+<md-score>1.8935319</md-score></location>
+<recid>content: title international conference on management of drinking water resources chennai december medium book</recid>
+</hit>
+<hit>
+
+<md-title>Aquatic habitat indicators and their application to water quality objectives within the Clean Water Act</md-title>
+<md-date>1999</md-date>
+<md-author>Bauer, Steve</md-author>
+<md-description>&quot;This document was developed for US Environmental Protection Agency, Region 10, Seattle Washington, with the Idaho Water Resources Institute, University of Idaho.&quot;</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="67734618">
+<md-title>Aquatic habitat indicators and their application to water quality objectives within the Clean Water Act</md-title>
+<md-date>1999</md-date>
+<md-author>Bauer, Steve</md-author>
+<md-description>&quot;This document was developed for US Environmental Protection Agency, Region 10, Seattle Washington, with the Idaho Water Resources Institute, University of Idaho.&quot;</md-description>
+<md-medium>book</md-medium>
+<md-score>1.8935319</md-score></location>
+<recid>content: title aquatic habitat indicators and their application to water quality objectives within the clean water act author bauer steve medium book</recid>
+</hit>
+<hit>
+
+<md-title>The law of waters and water rights</md-title>
+<md-title-remainder>international, national, state, municipal, and individual, including irrigation, drainage, and municipal water supply</md-title-remainder>
+<md-date>1904</md-date>
+<md-author>Farnham, Henry P</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1682347087">
+<md-title>The law of waters and water rights</md-title>
+<md-title-remainder>international, national, state, municipal, and individual, including irrigation, drainage, and municipal water supply</md-title-remainder>
+<md-date>1904</md-date>
+<md-author>Farnham, Henry P</md-author>
+<md-medium>book</md-medium>
+<md-score>1.8935319</md-score></location>
+<recid>content: title the law of waters and water rights author farnham henry p medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water law</md-title>
+<md-date>2000</md-date>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="3296959556">
+<md-title>Water law</md-title>
+<md-date>2000</md-date>
+<md-medium>book</md-medium>
+<md-score>1.822052</md-score></location>
+<recid>content: title water law medium book</recid>
+</hit>
+<hit>
+
+<md-title>Water quantity and quality issues in coastal urban areas</md-title>
+<md-title-remainder>proceedings, American Water Resources Association&apos;s Annual Water Resources Conference : November 6-9, 2000, Miami Florida</md-title-remainder>
+<md-date>2000</md-date>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="616604729">
+<md-title>Water quantity and quality issues in coastal urban areas</md-title>
+<md-title-remainder>proceedings, American Water Resources Association&apos;s Annual Water Resources Conference : November 6-9, 2000, Miami Florida</md-title-remainder>
+<md-date>2000</md-date>
+<md-medium>book</md-medium>
+<md-score>1.822052</md-score></location>
+<recid>content: title water quantity and quality issues in coastal urban areas medium book</recid>
+</hit>
+<hit>
+
+<md-title>Tricker&apos;s 1101 water gardening</md-title>
+<md-title-remainder>questions and answers</md-title-remainder>
+<md-date>1999</md-date>
+<md-author>Lee, Richard</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2231217198">
+<md-title>Tricker&apos;s 1101 water gardening</md-title>
+<md-title-remainder>questions and answers</md-title-remainder>
+<md-date>1999</md-date>
+<md-author>Lee, Richard</md-author>
+<md-medium>book</md-medium>
+<md-score>1.822052</md-score></location>
+<recid>content: title tricker s water gardening author lee richard medium book</recid>
+</hit>
+<hit>
+
+<md-title>Institutions &amp; leadership in water resource management</md-title>
+<md-date>1999</md-date>
+<md-author>Rafiq, Abdul Qadir</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="3845829667">
+<md-title>Institutions &amp; leadership in water resource management</md-title>
+<md-date>1999</md-date>
+<md-author>Rafiq, Abdul Qadir</md-author>
+<md-medium>book</md-medium>
+<md-score>1.822052</md-score></location>
+<recid>content: title institutions leadership in water resource management author rafiq abdul qadir medium book</recid>
+</hit>
+<hit>
+
+<md-title>Ground water and surface water in the Haiku area, East Maui, Hawaii</md-title>
+<md-date>1999</md-date>
+<md-author>Gingerich, Stephen B</md-author>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1165474840">
+<md-title>Ground water and surface water in the Haiku area, East Maui, Hawaii</md-title>
+<md-date>1999</md-date>
+<md-author>Gingerich, Stephen B</md-author>
+<md-medium>book</md-medium>
+<md-score>1.8129189</md-score></location>
+<recid>content: title ground water and surface water in the haiku area east maui hawaii author gingerich stephen b medium book</recid>
+</hit>
+<hit>
+
+<md-title>Surface water quality monitoring procedures manual</md-title>
+<md-date>1999</md-date>
+<md-description>&quot;GI-252&quot;--Cover</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="2780087309">
+<md-title>Surface water quality monitoring procedures manual</md-title>
+<md-date>1999</md-date>
+<md-description>&quot;June 1999.&quot;</md-description>
+<md-description>&quot;GI-252&quot;--Cover</md-description>
+<md-medium>book</md-medium>
+<md-score>1.8129189</md-score></location>
+<recid>content: title surface water quality monitoring procedures manual medium book</recid>
+</hit>
+<hit>
+
+<md-title>Regulations on the disposal of arsenic residuals from drinking water treatment plants</md-title>
+<md-date>2000</md-date>
+<md-description>&quot;EPA Contract 68-C7-0011, work assignment 0-38.&quot;</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="99732482">
+<md-title>Regulations on the disposal of arsenic residuals from drinking water treatment plants</md-title>
+<md-date>2000</md-date>
+<md-description>&quot;May 2000.&quot;</md-description>
+<md-description>&quot;EPA/600/R-00/025.&quot;</md-description>
+<md-description>&quot;EPA Contract 68-C7-0011, work assignment 0-38.&quot;</md-description>
+<md-medium>book</md-medium>
+<md-score>1.8129189</md-score></location>
+<recid>content: title regulations on the disposal of arsenic residuals from drinking water treatment plants medium book</recid>
+</hit>
+<hit>
+
+<md-title>Nevada state water plan</md-title>
+<md-date>1999</md-date>
+<md-description>pt. 1. Background and resource assessment -- pt. 2. Water use and forecasts -- pt. 3. Water planning and management issues -- [pt. 4] Appendices -- [pt. 5] Summary</md-description>
+<md-medium>book</md-medium><location id="LOC Solr Test"
+ name="LOC Solr Test" checksum="1714344951">
+<md-title>Nevada state water plan</md-title>
+<md-date>1999</md-date>
+<md-description>Cover title</md-description>
+<md-description>&quot;March 1999.&quot;</md-description>
+<md-description>pt. 1. Background and resource assessment -- pt. 2. Water use and forecasts -- pt. 3. Water planning and management issues -- [pt. 4] Appendices -- [pt. 5] Summary</md-description>
+<md-medium>book</md-medium>
+<md-score>1.8129189</md-score></location>
+<recid>content: title nevada state water plan medium book</recid>
+</hit>
+</show>
\ No newline at end of file
diff --git a/test/test_sort_settings.xml b/test/test_sort_settings.xml
new file mode 100644 (file)
index 0000000..6fb7f8b
--- /dev/null
@@ -0,0 +1,47 @@
+<!-- Solr target -->
+<settings target="LOC Solr Test">
+  <set name="pz:name"  value="LOC Solr Test" />
+  <set name="pz:url"   value="ocs-test.indexdata.com/solr/select" />
+
+  <set name="pz:limitmap:author"  value="rpn:@attr 1=author_exact 6=3" />
+  <set name="pz:limitmap:subject" value="rpn:@attr 1=subject_exact" />
+  <set name="pz:limitmap:date"    value="rpn:@attr 1=date @attr 6=3" />
+  <set name="pz:limitmap:medium"  value="rpn:@attr 1=medium_exact @attr 6=3" />
+
+  <set name="full_text_target"  value="=NO" />
+  <!-- Configure native facets -->
+<!--
+  <set name="pz:termlist_term_count" value="10"/>
+  <set name="pz:facetmap:author"  value="author_exact"  />
+  <set name="pz:facetmap:subject" value="subject_exact" />
+  <set name="pz:facetmap:medium"  value="medium_exact"  />
+  <set name="pz:facetmap:date"  value="date" />
+-->
+
+  <set name="use_url_proxy"  value="0" />
+  <set name="pz:piggyback"   value="1" />
+  <set name="pz:preferred"   value="1" />
+  <set name="pz:block_timeout"  value="2" />
+  <set name="pz:cclmap:term"  value="1=text s=Dal" />
+  <set name="pz:cclmap:au"    value="1=author"   />
+  <set name="pz:cclmap:su"    value="1=subject"  />
+  <set name="pz:cclmap:date"  value="1=date" />
+<!--
+  <set name="pz:cclmap:issn"  value="1=issn" />
+-->
+  <set name="pz:cclmap:ti"  value="1=title" />
+  <set name="pz:cclmap:isbn"  value="1=isbn" />
+  <set name="pz:cclmap:author_phrase" value="1=author_exact 6=3"/>
+  <set name="pz:sru"         value="solr"  />
+  <set name="pz:xslt"  value="solr-pz2.xsl" />
+  <set name="use_thumbnails" value="0" />
+  <set name="pz:queryencoding"  value="UTF-8" />
+  <set name="pz:extra_args"  value="fl=*,score" />
+  <set name="pz:termlist_term_count" value="10"/>
+  <set name="pz:facetmap:author"  value="author_exact"  />
+  <set name="pz:facetmap:subject" value="subject_exact" />
+  <set name="pz:facetmap:medium"  value="medium_exact"  />
+  <set name="pz:facetmap:date"  value="date" />
+  <set name="pz:maxrecs" value="200" />
+  <set name="pz:present_chunk" value="0"/>
+</settings>